if not PriorityQueue then return end

if select(2, UnitClass('player')) ~= "ROGUE" then
	return
end

local L = LibStub("AceLocale-3.0"):GetLocale("PriorityQueue")
local C = PriorityQueue.constants -- Defined in PriorityQueue LUA no locale needed.

C["Sinister Strike"], _, C["Sinister Strike Icon"] = GetSpellInfo(1752)
C["Mutilate"], _, C["Mutilate Icon"] = GetSpellInfo(1329)
C["Rupture"], _, C["Rupture Icon"] = GetSpellInfo(1943)
C["Slice and Dice"], _, C["Slice and Dice Icon"] = GetSpellInfo(5171)

---------------------------
-- Mage Priorities
---------------------------

function PriorityQueue:GetRoguePriorityDefaults()
	-- need a function to work out spec for now fixed values
	self.presets.priorities.name["Combat"] =  L["Combat"]
	self.presets.priorities.name["Mutilate"] =  L["Mutilate"]
	self.presets.priorities.list["Combat"] = { "snd", "rup",  "ss",  "none", "none", "none", "none", "none", "none", "none" }
	self.presets.priorities.list["Mutilate"] = { "snd", "rup",  "mut",  "none", "none", "none", "none", "none", "none", "none" }
	self.presets.default = "Combat"
end

PriorityQueue.priorityTable.name["ss"] = C["Sinister Strike"]
PriorityQueue.priorityTable.icon["ss"] = C["Sinister Strike Icon"]
PriorityQueue.priorityTable.test["ss"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Sinister Strike"]) 
	end 

PriorityQueue.priorityTable.name["mut"] = C["Mutilate"]
PriorityQueue.priorityTable.icon["mut"] = C["Mutilate Icon"]
PriorityQueue.priorityTable.test["mut"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Sinister Strike"]) 
	end 

PriorityQueue.priorityTable.name["rup"] = C["Rupture"]
PriorityQueue.priorityTable.icon["rup"] = C["Rupture Icon"]
PriorityQueue.priorityTable.test["rup"] = 
	function () 
		local debuff, duration = PriorityQueue:GetDebuffInfo(C["Rupture"])
		return UnitPower("player") >= 25 and (not debuff or duration < 4) and PriorityQueue:SpellAvailable(C["Rupture"]) 
	end 

PriorityQueue.priorityTable.name["snd"] = C["Slice and Dice"]
PriorityQueue.priorityTable.icon["snd"] = C["Slice and Dice Icon"]
PriorityQueue.priorityTable.test["snd"] = 
	function () 
		local debuff, duration = PriorityQueue:GetDebuffInfo(C["Slice and Dice"])
		return UnitPower("player") >= 25 and (not debuff or duration < 4) and PriorityQueue:SpellAvailable(C["Slice and Dice"]) 
	end 

